##### 7.5.20.0. isCommutative

Procedure from library `nctools.lib` (see nctools_lib).

Usage:
  isCommutative();

Return:
  int, 1 if basering is commutative, or 0 otherwise

Purpose:
  check whether basering is commutative

Example:

    LIB "nctools.lib";
    ring r = 0,(x,y),dp;
    isCommutative();
    ==> 1
    def D = Weyl(); setring D;
    isCommutative();
    ==> 0
    setring r;
    def R = nc_algebra(1,0); setring R;
    isCommutative();
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.